### Method

# Gtk TreeViewenable_model_drag_source

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_view_enable_model_drag_source (
      GtkTreeView* tree_view,
      GdkModifierType start_button_mask,
      GdkContentFormats* formats,
      GdkDragAction actions
    )

#### Description [src]

Turns `tree_view` into a drag source for automatic DND. Calling this method sets `GtkTreeView`:reorderable to `FALSE`.

Deprecated since: 4.10

Use `GtkListView` or `GtkColumnView` instead.

#### Parameters

`start_button_mask`

  Type: `GdkModifierType`

  Mask of allowed buttons to start drag.

`formats`

  Type: `GdkContentFormats`

  The target formats that the drag will support.

  The data is owned by the caller of the method.

`actions`

  Type: `GdkDragAction`

  The bitmask of possible actions for a drag from this widget.